搜索

[技术问答] AC7811工程新建

[复制链接]
319|7
 楼主 | 2021-4-28 15:39 | 显示全部楼层 |阅读模式
本帖最后由 一点都不会 于 2021-4-28 16:37 编辑

1.jpg







新建了一个工程,里面只加了一个空main,其他的就是按照手册新建的,但是编译的时候有一个错误,请问这个是为什么?还有想问一下ATC Device怎么添加,总的文件夹在哪里找,例如如果我第一版程序没有I2C,第二版本有了,我不会又要重新新建一个工程才能加进去吧?C:\Users\RongYao\Desktop\4.jpg  C:\Users\RongYao\Desktop\1.jpg








使用特权

评论回复
| 2021-4-28 15:48 | 显示全部楼层
图片看不到
安装了我们的驱动包后,在keil路径下能找到我们的包路径:
C:\Keil_v5\ARM\PACK\AutoChips
这里面有我们7801和7811的驱动安装包
点进到具体的版本里面,驱动代码主要在ATC_Driver和Device这两个文件夹下,一个是外设的驱动代码,一个是设备启动以及系统相关代码。

导入驱动有两种方式。
一,你可以手动把这些代码copy到你的工程中去,然后手动导入并添加头文件路径。

二,通过Run-time enviroment 窗口,在里面勾选我们的驱动模块,也可以将对应的模块导入。

内核相关的头文件都建议从Run-Time enviroment 中勾选core导入。

使用特权

评论回复
| 2021-4-28 15:51 | 显示全部楼层
你用的keil版本是多少?

使用特权

评论回复
 楼主 | 2021-4-28 16:16 | 显示全部楼层
JasonLee27 发表于 2021-4-28 15:51
你用的keil版本是多少?

5.33的版本。ATC device找到了,是我安装的时候把地址改了;C:\Users\RongYao\Desktop\9.png

使用特权

评论回复
| 2021-4-28 16:23 | 显示全部楼层
5920660891b4987364.png
新建工程的时候,注意这个位置,是不是选了版本6的编译器,是的话,需要改到版本5的

使用特权

评论回复
 楼主 | 2021-4-28 16:39 | 显示全部楼层
GrootBrain 发表于 2021-4-28 16:23
新建工程的时候,注意这个位置,是不是选了版本6的编译器,是的话,需要改到版本5的
...

嗯嗯, 我看了一下是选了6,但是改成5不对;然后我重新建了一个新工程,选择了5,但是还是有错误,我没有选择DMA;

使用特权

评论回复
| 2021-4-28 17:58 | 显示全部楼层
错误提示找不到ac78xx_dma.h文件,工程中并没有把dma的库文件加进来

使用特权

评论回复
 楼主 | 2021-4-28 18:04 | 显示全部楼层
wangjj19950516 发表于 2021-4-28 17:58
错误提示找不到ac78xx_dma.h文件,工程中并没有把dma的库文件加进来

是的  ,我奇怪的是  我没有勾选DMA的ATC device;为什么会提示我需要添加DMA的.h文件

使用特权

评论回复
扫描二维码,随时随地手机跟帖
您需要登录后才可以回帖 登录 | 注册

本版积分规则

我要发帖 我要提问 投诉建议 申请版主

快速回复

您需要登录后才可以回帖
登录 | 注册
高级模式

论坛热帖

在线客服 快速回复 返回顶部 返回列表